Foreman - Bug #32942

wrong error message when failing to create an external user
07/06/2021 08:17 AM - Evgeni Golov

Status: Closed
Priority: Normal
Assignee: Evgeni Golov
Category: Users, Roles and Permissions
Target version: 252
Difficulty: Fixed in Releases: 2.5.2,3.0.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8643,
https://github.com/theforeman/foreman/p
ull/8648
Description
Failed to create external User '{user.login}': Username is invalid

instead of actually telling what the user name was...

Related issues:
Related to Foreman - Bug #26311: [keycloak-Ul] login with the user name as sa... Closed

Associated revisions

Revision 990781e5 - 07/06/2021 09:27 AM - Evgeni Golov

Fixes #32942 - properly state the user name when failing

History

#1 - 07/06/2021 08:19 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Evgeni Golov

- Pull request https://github.com/theforeman/foreman/pull/8643 added

#2 - 07/06/2021 09:27 AM - The Foreman Bot
- Fixed in Releases 3.0.0 added

#3 - 07/06/2021 10:08 AM - Evgeni Golov
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|990781e52de9b9390567e383f999a6ebdfe60170.

#4 - 07/06/2021 11:03 AM - Tomer Brisker

- Related to Bug #2631 1: [keycloak-Ul] login with the user name as same as existing user group gives 500 ISE and wont allow user to login again
added

#5 - 07/07/2021 10:51 AM - Tomer Brisker

- Target version set to 2.5.2

#6 - 07/07/2021 02:12 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8648 added

#7 - 07/08/2021 07:49 AM - Tomer Brisker
- Fixed in Releases 2.5.2 added
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/990781e52de9b9390567e383f999a6ebdfe60170

#8 - 08/06/2021 05:00 PM - Amit Upadhye

- Category set to Users, Roles and Permissions
